@import "src/styles/variables";

:host {
  display: block;
}

.list-table {
  width: 100%;
  border-collapse: collapse;
}

.row-data {
  border-bottom: 3px solid transparent;
  transition: border-bottom .2s;
  height: 35px;

  .image-container {
    height: 35px;

    .thumbnail {
      max-height: 100%;
      max-width: 100%;
    }
  }
}

.row-data:hover {
  border-bottom: 3px solid $main;
}

.row-data:nth-child(even) {
  background-color: $third;
}

.cursor-pointer {
  cursor: pointer;
}

.table-header {
  height: 3rem;
  position: sticky;
  top: 0;
  z-index: 1000;
  user-select: none;
}

#table-footer {
  position: sticky;
  bottom: 0;
  background-color: rgba(150, 150, 150, .6);
}

.navigation-table-panel {
  display: flex;
}
